Everything's broken after upgrading to Jessie

Discussion in 'Installation/Configuration' started by tonytroy, Sep 15, 2016.

  1. tonytroy

    tonytroy Member

    Hi there,

    I've just upgrade my Wheezy to Jessie, and for every question asked to replace old configuration to the newer i said no, and after rebooting every websites are displaying a "Forbidden" message.
    I also cannot go to ISPConfig on the 8080 port, first I had a not responding message, so i add a "Listen 8080" in the ports.conf file, and now i have "ERR_SSL_PROTOCOL_ERROR" the site cannot give a secured connexion.

    Can someone help me to escape this nightmare ?

  2. tonytroy

    tonytroy Member

    Me again..

    I found this post https://www.howtoforge.com/communit...-to-jessie-with-ispconfig3.72269/#post-340019 and it helped a lot.
    Now my websites are up, i couldn't access ISPConfig but removing the "Listen 8080" in the ports.conf file solved it.

    One problem left : I had an alias to access phpmyadmin and it's not working anymore so i can't access phpmyadmin. I replace "deny from all" with "Require all denied" and restarted apache but problem is still there.
    Any ideas are welcome.

    Last edited: Sep 15, 2016
  3. Jesse Norell

    Jesse Norell Active Member

    You have phpmyadmin installed from the debian package? Assuming you're running apache, not nginx, that should give you a /etc/phpmyadmin/apache.conf file with the /phpmyadmin alias, symlinked at /etc/apache2/conf-available/ .. you might "a2enconf phpmyadmin" to make sure it's enabled, and/or try "dpkg-reconfigure phpmyadmin" to reconfigure the package.
  4. tonytroy

    tonytroy Member

    Thank you Jesse.
    Indeed i'm using apache, symlink in /etc/apache2/conf-available was already done and enabled. I try to reconfigure the package but i still have the problem : "HTTP ERROR 500" The page is not working. I can't see any error in the apache/error.log...

    + phpmyadmin was installed following the perfect server for debian wheezy and used to work perfectly until i upgrade to jessie
  5. tonytroy

    tonytroy Member


    Me again ! I still have the HTTP ERROR 500 trying to access /phpmyadmin (on every websites on this server) since I upgrade my wheezy to jessie and so apache 2.2 to 2.4.10.
    If someone has a clue, that would make ma day (or week ^^).
    For any further information, just ask.

  6. Jesse Norell

    Jesse Norell Active Member

    Shotgun approach: purge the phpmyadmin package (and check that all remnants are gone, eg. 'grep -Ri phpmyadmin /etc/apache2'), reinstall the package, and re-run ispconfig update script.

    The more precise approach is to look in your apache error.log files and see what the error is, and go from there.
  7. tonytroy

    tonytroy Member

    Thx again Jesse.

    As i said, nothing found in the error.log but in /var/log/ispconfig/httpd/mybesite/error.log i have a fatal error require_once() failed opening required '/usr/share/php/php-gettext/gettext.inc' (include_path='.') in /usr/share/phpmyadmin/libraries/select_lang.lib.php on line 463

    php-gettext is already instaleld and gettext.inc is in the directory /usr/share/php/php-gettext with 644 permission. In the vendor_config.php file line 70, GETTEXT_INC is well defined, so i don't understand where the problem come from...

    Asking google with my fatal error i found this "solution" on many forums : apt-get install php-mbstring php7.0-mbstring php-gettext
    But apt cannot find those packages.

    I'm using PHP 5.6, Apache 2.4.10 and MySQL 14.14 distrib 5.5.52 and right now i'm totally lost.. If i can't find a soft solution, i'll give a try to your shotgun method.
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    Check the apache2/php.ini file if there is a open_basedir set which might prevent access to phpmyadmin. And ensure that you access phpmyadmin on port 80 and not 8080.
  9. tonytroy

    tonytroy Member

    Hi Till,

    It was indeed an open_basedir problem (located in /etc/phpmyadmin/apache2.conf). I removed the line and restarted apache : Everything is working now.

    Thank you both for your help.

Share This Page